<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['palet']) $palet=$_GET['palet']; else if($_POST['palet']) $palet=$_POST['palet'];
if($_GET['cantidad']) $cantidad=$_GET['cantidad']; else if($_POST['cantidad']) $cantidad=$_POST['cantidad'];
if($_GET['cantidadTotal']) $cantidadTotal=$_GET['cantidadTotal']; else if($_POST['cantidadTotal']) $cantidadTotal=$_POST['cantidadTotal'];


$encontrado=false;


$lineas=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);



foreach($lineas as $linea) {

	if($linea['Contenedor']==$palet && $linea['PuedeSerPaletCompleto']=='S') {
	
		$encontrado=true;
		$respuesta=$linea['Codigo'].';'.$linea['Cajas'].';'.$linea['Cantidad'];

	}

}

if($_GET['traza']=='si') echo '<p>Encontrado: '.$encontrado.'</p>';

if(!$encontrado) {

	$peticion='PuedeSerPaletCompleto#'.$_SESSION['empresa'].'#'.$palet.'#'.$cantidad.'#'.$cantidadTotal;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo "<p>".$peticion."</p>";
		print_r($resultado);
	}
	
	$valores=explode('#',$resultado[0]['Error']);
	
	if($valores[0]=='0') {
	
		$resultado=explode(';',$valores[1]);
		
		if($resultado[0]=='S') {
		
			$encontrado=true;
			$respuesta=$resultado[1].';'.$resultado[2].';'.$resultado[3];
		}
		else $respuesta='N';
	
	}

}

echo $respuesta;
		
?>